%form: kiban_ab_form_07-09.tex ; user: kiban_ab_07-09_publications.tex
%========== S-1-7 基盤研究(A,B)(一般) =========
%===== p. 07-09 研究業績 =============
\section{研究業績}
%watermark: w14_pub_AB
% 2012-09-01 Taku
\newcommand{\年と研究業績}{%
%begin  研究業績 ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
			% 2015年度から始まった、1カラムのtabularです。
%ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
%ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
		注：以下の論文は連携研究者の論文も含め、特に記していない限り全て査読有り。
			また、著者がアルファベット順に並んでいるものについては、順番に意味はないので省略。\\
	\hline%------------------------------
	2015 {\small 以降} \\
		%............
		\KLbibitem{\bf Model-based Testing of Stateful APIs with Modbat.}\\
	\quad*\me, M.~Seidl, Q.~Gros, \underline{E.~Choi}, \underline{T.~Kitamura}, \mori,
	R.~Ramler, \underline{Y.~Yamagata},
		Proc.\ IEEE Int.\ Conf.\ on Automated Software Engineering (ASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press, to appear (2015). 査読有}\\
		%............
		\KLbibitem{\bf GRT: An Automated Test Generator using Orchestrated Program Analysis.}\\
	\quad*L.~Ma, \me, C.~Zhang, H.~Sato, J.~Gmeiner, R.~Ramler,
		Proc.\ IEEE Int.\ Conf.\ on Automated Software Engineering (ASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press, to appear (2015). 査読有}\\
		%............
		\KLbibitem{\bf GRT: Program-Analysis-Guided Random Testing.}\\
	\quad*L.~Ma, \me, C.~Zhang, H.~Sato, J.~Gmeiner, R.~Ramler,
		Proc.\ IEEE Int.\ Conf.\ on Automated Software Engineering (ASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press, to appear (2015). 査読有}\\
\quad\textcolor{RED}{\bf ACM SIGSOFT Distinguished Paper Award.}\\
		%............
		\KLbibitem{\bf Domain-Specific Languages with Scala.}\\
	\quad*\me, K.~Havelund, R.~Kumar, \underline{Y.~Yamagata},
		Proc.\ Int.\ Conf.\ on Formal Engineering Methods (ICFEM),
	\textcolor{BLUE}{
	Springer, to appear (2015). 査読有}\\
		%............
		\KLbibitem{\bf Combinatorial Testing using Tree-based Test Models with Propositional Logic Constraints.}\\
	\quad*\underline{T.~Kitamura}, A.~Yamada, G.~Hatayama, \me, \underline{E.~Choi}, N.~Do, \oiwa, S.~Sakuragi,
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 141--150 (2015). 査読有}
\quad\textcolor{RED}{\bf QRS 2015 best paper award.}\\
		%............
		\KLbibitem{\bf Optimization of Combinatorial Testing by Incremental SAT Solving.}\\
		\quad*A.~Yamada, \underline{T.~Kitamura}, \me, \underline{E.~Choi}, \oiwa, A. Biere,
	Proc.\ IEEE Int.\ Conf.\ on Software Testing, Verification and Validation (ICST),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 1--10 (2015). 査読有}\\
		%............
		\KLbibitem{\bf Priority Integration for Weighted Combinatorial Testing.}\\
		\quad*\underline{E.~Choi}, \underline{T.~Kitamura}, \me, A.~Yamada, \oiwa,
	Proc.\ IEEE Computer Software and Applications Conf.\ (COMPSAC),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 242--247 (2015). 査読有}\\
	\hline%----------------------------------------------
	2014 \\
		%............
		\KLbibitem{\bf Software Model Checking of UDP-based Distributed Applications.}\\
		\quad*N.~Sebih, F.~Weitl, \me, {\it et al., 3 other authors,}
		Proc.\ Int.\ Symposium on Computing and Networking (CANDAR),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 96--105 (2014). 査読有}\\
		%............
		\KLbibitem{\bf Using Checkpointing and Virtualization for Fault Injection.}\\
		\quad*\me{} {\it et al., 8 other authors,}
		Proc.\ Int.\ Symposium on Computing and Networking (CANDAR),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 140--150 (2014). 査読有}\\
		%............
\newpage
		\KLbibitem{\bf Efficient Testing of Software Product Lines via Centralization (Short Paper).}\\
		\quad*L.~Ma, \me, H.~Sato,
		Proc.\ Int.\ Conf.\ on Generative Programming: Concepts and Experiences (GPCE),
	\textcolor{BLUE}{
ACM, pp.\ 49--52 (2014). 査読有}\\
		%............
		\KLbibitem{\bf Design of Prioritized N-Wise Testing.}\\
		\quad*\underline{E.~Choi}, \underline{T.~Kitamura}, \me, \oiwa,
		Proc.\ IFIP Int.\ Conf.\ on Testing Software and Systems (ICTSS),
	\textcolor{BLUE}{
	Springer LNCS 8763, pp.\ 186--191 (2014). 査読有}\\
		%............
		\KLbibitem{\bf Project Centralization Based on Graph Coloring.}\\
		\quad*L.~Ma, \me, H.~Sato,
Proc.\ ACM 29th Annual Symposium on Applied Computing (SAC),
	\textcolor{BLUE}{
ACM, pp.\ 1086--1093 (2014). 査読有}\\
		%............
		\KLbibitem{\bf With an Open Mind: How to Write Good Models.}\\
		\quad*\me{} {\it et al., 3 other authors,}
  Proc.\ 2nd Int.\ Workshop on Formal Techniques for Safety-Critical Systems (FTSCS),
	\textcolor{BLUE}{
	Springer CCIS 419, pp.\ 3--18 (2014). 査読有}\\
%	\hline%----------------------------------------------
		\KLbibitem{\bf Modular Software Model Checking for Distributed Systems.}\\
		\quad*W.~Leungwattanakit, \me, {\it et al., 4 other authors,}
	\textcolor{BLUE}{
IEEE Transactions on Software Engineering, {\bf 5}(40), pp.\ 483--501, IEEE Computer Society Press (2014). 査読有}\\
		%............
		\KLbibitem{\bf Managing Product Variants by Project Centralization.}\\
		\quad*L.~Ma, \me, H.~Sato,
	\textcolor{BLUE}{
Lecture Notes on Software Engineering, {\bf 2}(2), pp.\ 195--200, IACSIT Press (2014). 査読有}\\
		\KLbibitem{\bf Evaluation of {A} Resilience Embedded System Using Probabilistic Model-Checking.}\\
		\quad*L.~Fang, \underline{Y.~Yamagata}, \oiwa,
		Proc.\ 3rd Int.\ Workshop on Engineering Safety and
               Security Systems (ESSS),
	\textcolor{BLUE}{
EPTCS vol.\ 150, pp.\ 35--49 (2014). 査読有}\\
		%............
\hline%----------------------------------------------
	2013 \\
		\KLbibitem{\bf Constructing Test Cases for N-wise Testing from Tree-based Test Models.}\\
	\quad*D.~Ngoc, \underline{T.~Kitamura}, {\it et al., 4 other authors,}
	Proc.\ Int.\ Symposium on Information and Communication Technology (SoICT),
	\textcolor{BLUE}{
	ACM ICPS, pp.\ 275--284 (2013). 査読有}\\
		%............
		\KLbibitem{\bf Software Model Checking for Distributed Systems with Selector-Based, Non-Blocking Communication.}\\
		\quad*\me{} {\it et al., 5 other authors,}
  Proc.\ 28th Int.\  Conf.\ on Automated Software Engineering (ASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 169--179 (2013). 査読有}\\
		%............
		\KLbibitem{\bf Modbat: A Model-based {API} Tester for Event-driven Systems.}\\
		\quad*\me{} {\it et al., 6 other authors,}
  Proc.\ 9th Haifa Verification Conference (HVC),
	\textcolor{BLUE}{
	Springer LNCS 8244, pp.\ 112--128 (2013). 査読有}\\
		%............
		\KLbibitem{\bf Analyzing Distributed {J}ava Applications by Automatic Centralization.}\\
		\quad*L.~Ma, \me, H.~Sato,
	Proc.\ 2nd {IEEE} Int.\ Workshop on Tools in Process ({TiP}),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp. 691--696 (2013). 査読有}\\
		%............
		\KLbibitem{\bf Model-based Testing for Verification Backends.}\\
		\quad*A.~Biere, M.~Seidl, \me,
	Proc.\ Tests and Proofs (TAP),
	\textcolor{BLUE}{
	Springer LNCS 7942, pp.\ 39--55 (2013). 査読有}\\
	%\hline%----------------------------------------------
		\KLbibitem{\bf Improving Automatic Centralization by Version Separation.}\\
		\quad*L.~Ma, \me, H.~Sato,
	\textcolor{BLUE}{
  IPSJ Trans.\ on Programming, {\bf 6}(4), pp.\ 65--77, IPSJ (2013). 査読有}\\
		%............
	\hline%----------------------------------------------
	2012 \\
		\KLbibitem {\bf Test-case Design by Feature Trees.}\\
		\quad*\underline{T.~Kitamura}, {\it et al., 4 other authors,}
	Proc.\ Int.\ Symposium on Leveraging Applications
	in Formal Methods, Verification and Validation (ISoLA),
	\textcolor{BLUE}{
	Springer LNCS {\bf 7609}, pp.\ 458--473 (2012). 査読有}\\
		%............
\newpage
		\KLbibitem {\bf Why Do Software Packages Conflict?}\\
		\quad*\me\ {\it et al., 4 other authors,}
		Proc.\ Working Conf.\ on Mining Software Repositories,
	\textcolor{BLUE}{
		IEEE Computer Society Press, pp.\ 141--150 (2012). 査読有}\\
		%............
		\KLbibitem {\bf Formal Model-based Test for AUTOSAR Multicore RTOS.}\\
		\quad*L.~Fang, \underline{T.~Kitamura}, N.~Do, H.~Ohsaki,
		Proc.\ Int.\ Conf.\ on Software Testing, Verification
		and Validation (ICST),
	\textcolor{BLUE}{
		IEEE Computer Society Press, pp.\ 251--259 (2012). 査読有}\\
	\hline%----------------------------------------------

	2011 \\
		\KLbibitem {\bf Trace Server: A Tool for Storing, Querying and Analyzing Execution Traces.}\\
		\quad*I.~Andjelkovic, \me,
	\textcolor{BLUE}{
		Proc.\ JPF Workshop, NASA (2011). 査読有}\\
		%............
		\KLbibitem {\bf Model Checking Distributed Systems by Combining Caching and Process Checkpointing.}\\
		\quad*W.~Leungwattanakit, \me\ {\it et al., (3 other authors),}
		Proc. Automated Softw.\ Eng.\ Conf.\ (ASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press,
		pp.\ 166--175 (2011).
		査読有}\\
		%............
		\KLbibitem {\bf 形式分類木手法に向けて.}\\
		\quad*\underline{T.~Kitamura}, L.~Fang, S.~Yatabe, H.~Ohsaki,
	\textcolor{BLUE}{
		情報処理学会/ソフトウェア工学研究会(IPSJ/SIGSE)ウインターワークショップ, 修善寺論文集,
		pp.\ 123--124 (2011).
		査読有}\\
		%............
	%\hline%----------------------------------------------
		\KLbibitem {\bf Iterative Delta Debugging.}\\
		\quad*\me,
	\textcolor{BLUE}{
		Softw.\ Tools for Tech.\ Transfer (STTT), {\bf 13}(3), pp. 223--246,
		Springer (2011). 査読有}\\
	\hline%----------------------------------------------
	2010 and earlier \\
		\KLbibitem{\bf Cache-based Model Checking of Networked Applications: From Linear to Branching Time.}\\
		\quad*\me\ {\it et al., (4 other authors),}
		Proc.\ 24th Int.\  Conf.\ on Automated Software Engineering (ASE),
	\textcolor{BLUE}{
		IEEE Computer Society Press, pp.\ 447--458 (2009). 査読有}\\
		%............
		\KLbibitem{\bf Specifying Properties for Modular Pi-Calculus.}\\
		\quad*\underline{T.~Kitamura}, H.~Lin,
		Proc.\ 2nd IEEE/IFIP Int.\ Symposium on Theoretical Aspects
               of Software Engineering (TASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 201--208 (2008). 査読有}\\
		%............
		\KLbibitem{\bf Controlling Process Modularity in Mobile Computing.}\\
		\quad*\underline{T.~Kitamura}, H.~Lin,
		Proc.\ 4th Int.\ Colloquium on Theoretical Aspects of Computing (ICTAC),
	\textcolor{BLUE}{
		Springer LNCS {\bf 4711}, pp.\ 246--259 (2007). 査読有}\\
		%............
		\KLbibitem{\bf Accurate Centralization for Applying Model Checking on Networked Applications.}\\
		\quad*\me, P.~Garoche,
	Proc.\ 21st Int.\  Conf.\ on Automated Software Engineering (ASE),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 177--188 (2006). 査読有}\\
		%............
		\KLbibitem{\bf Efficiency analysis of model-based review in actual software design.}\\
		\quad*H.~Furusawa, \underline{E.~Choi}, H.~Watanabe,
		Proc.\ 28th Int.\ Conf.\ on Software Engineering (ICSE),
	\textcolor{BLUE}{
		IEEE Computer Society Press, pp.\ 604--607 (2006). 査読有}\\
		%............
		\KLbibitem{\bf Model Checking Class Specifications for Web Applications.}\\
		\quad*\underline{E.~Choi}, H.~Watanabe,
		Proc.\ 12th Asia-Pacific Software Engineering Conference (APSEC),
	\textcolor{BLUE}{
		IEEE Computer Society Press, pp.\ 67--78 (2005). 査読有}\\
		%............
		\KLbibitem {\bf High-Level Data Races.}\\
		\quad*\me, K.~Havelund, A.~Biere,
	\textcolor{BLUE}{Journal on Software Testing, Verification \& Reliability (STVR),
	{\bf 13}(4), pp.\ 220--227, John Wiley \& Sons (2003). 査読有}\\
		%............
		\KLbibitem {\bf Applying Static Analysis to Large-Scale, Multithreaded {J}ava Programs.}\\
		\quad*\me, A.~Biere,
	Proc.\ 13th Australasian Softw.\ Eng.\ Conference (ASWEC),
	\textcolor{BLUE}{
	IEEE Computer Society Press, pp.\ 68--75 (2001). 査読有.}
~\textcolor{RED}{\bf ASWEC 2013 most influential paper award.}\\
	\hline\\[-3ex]\hline%=========　連携研究者の業績との区切りの二重線　===========
	\setcounter{KLBibCounter}{0}	% uncomment this only if you want to reset the counter.
		%............
%end  研究業績  ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
}

%===========================================================
 %=======================================================
